(* Monomorphic comparison functions.
   I hope these are faster than Pervasives.compare !

   Copyright (c) Antoine Mine' 2003
*)

type key =  [ `A of int | `B of int ] 

external int_compare: int -> int -> int = "ens_int_compare"
external int64_compare: int64 -> int64 -> int = "ens_int64_compare"
external float_compare: float -> float -> int = "ens_float_compare"
external key_compare: key -> key -> int = "ens_key_compare"
external string_compare: string -> string -> int = "ens_string_compare"


