let gunzip_program = "gunzip";;

let _ =
  let in_channel = stdin (* open_in "data.gz" *) in
  let lines =
    Piping.pipe_through_in gunzip_program [| gunzip_program ; "-f" |] in_channel
      (fun channel ->
	let count = ref 0 in
	try
	  while true do
	    let line = input_line channel in
            Printf.printf "line = <%s>\n" line;
	    incr count
	  done;
	  failwith "meow"
	with End_of_file -> !count) in
   Printf.printf "# of lines: %d\n" lines;;
  
