#include <caml/mlvalues.h>
#include <caml/alloc.h>
#include <caml/memory.h>

static const char os_type_string[] =
#if defined(__sun)
  "Solaris"
#elif defined(__win32)
  "Windows"
#elif defined(__linux)
  "Linux"
#else
  "unknown"
#endif
;

value mlos_type(value dummy) {
  CAMLparam1(dummy);
  CAMLreturn(copy_string(os_type_string));
}
