type rounding_mode =
    TONEAREST (* Round to nearest *)
  | UPWARD (* Round toward +oo *)
  | DOWNWARD (* Round toward -oo *)
  | TOWARDZERO (* Round toward zero *)

external setround : rounding_mode -> unit = "mlfp_IEEE_setround";;
external getround : unit -> rounding_mode = "mlfp_IEEE_getround";;

type precision =
    SINGLE
  | DOUBLE
  | EXTENDED

(* DON'T use it [AM]
external setprec : precision -> unit = "mlfp_IEEE_setprec";;
*)

(*
external exp2 : float -> float = "mlfp_exp2" "exp2" "float";;
external log2 : float -> float = "mlfp_log2" "log2" "float";;
*)

external pow : float -> float -> float = "mlfp_pow" "mlfp_pow_f" "float";;


